Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.attestv2.domain
Class SendAttestBuilderRequest

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.attestv2.domain.SendAttestBuilderRequest

    public class SendAttestBuilderRequest

extends Object

eAttest business request, wrapping for SendAttestationRequest:

- the `SendAttestationRequest` to be used as the payload for `AttestService`
- the before encryption `SendTransactionRequest` that can be used to apply xpath expressions returned in the response in case of business error.

Constructor Summary
`SendAttestBuilderRequest(SendAttestationRequest sendAttestationRequest, SendTransactionRequest sendTransactionRequest, BusinessContent businessContent)`

Method Summary
`BusinessContent` | `getBusinessContent()`
`SendAttestationRequest` | `getSendAttestationRequest()`
`SendTransactionRequest` | `getSendTransactionRequest()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendAttestBuilderRequest

    public SendAttestBuilderRequest(SendAttestationRequest sendAttestationRequest,
                                    SendTransactionRequest sendTransactionRequest,
                                    BusinessContent businessContent)

Method Detail

### getSendTransactionRequest

    public SendTransactionRequest getSendTransactionRequest()

### getSendAttestationRequest

    public SendAttestationRequest getSendAttestationRequest()

### getBusinessContent

    public BusinessContent getBusinessContent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.